Subject: Re: an error when using 'git send-email'

From: Magnus Bäck <[email-masked]>
Date: Tue, 22 Feb 2011 19:48:45 +0100

On Tuesday, February 22, 2011 at 14:30 CET,
     Yongqiang Yang <[email-masked]> wrote:

> On Mon, Feb 21, 2011 at 12:44 AM, Magnus Bäck
> <[email-masked]> wrote:
>
> > You seem to have configured a username and password for SMTP
> > authentication, yet the server Git connects to doesn't support
> > authentication.
> >
> > Make sure the SMTP server you've configured Git to use
> > (sendemail.smtpserver configuration variable) is the right one.
> > If so, clear the smtpemail.smtpuser and smtpemail.smtppass
> > variables as you obviously can't use them with the server.
>
> Contents in my .gitconfig file are as follows.
> [sendemail]
>     smtpencryption = tls
>     smtpserver = smtp.gmail.com
>     smtpuser = xxxxxxx
>     smtpserverport = 587
> 
> When I remove the line smtpuser.  Git said my config file is not
> correct.

According to your previous email you're running Git 1.5.6.5. That
version doesn't support STARTTLS in send-email, only SSL wrappermode.
Unless Gmail supports the latter on port 465 (which I seriously doubt)
you must either upgrade Git to 1.6.0 or later or have send-email submit
the messages to another SMTP host that can relay the message directly to
the final destination or is capable of STARTTLS-based SMTP and thus able
to connect to Gmail on your behalf. Your Git is ancient so I strongly
suggest the upgrade approach.

-- 
Magnus Bäck                      Opinions are my own and do not necessarily
SW Configuration Manager         represent the ones of my employer, etc.
Sony Ericsson